Semaphor
API ReferenceOrganizations

Update organization report defaults

Updates organization settings, including Calendar and display-format defaults. Only include fields you want to change. Set defaultCalendarContext or defaultValueFormatContext to null to clear that organization default. Requires an Admin role for the organization or a Super Admin role.

PUT
/api/management/v1/organizations/{organizationId}

Authorization

BearerAuth
AuthorizationBearer <token>

A project-scoped access token. Generate one via the Token API with your project ID and project secret.

In: header

Path Parameters

organizationId*string

Organization ID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X put "https://semaphor.cloud/api/management/v1/organizations/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "domain": "string",
  "logoUrl": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "defaultOwnerId": "string",
  "defaultCalendarContext": {
    "tz": "string",
    "weekStart": 0
  },
  "defaultValueFormatContext": {
    "locale": "de-DE",
    "defaultCurrency": "EUR",
    "dateStyle": "short",
    "dateTime": {
      "dateStyle": "short",
      "timeStyle": "short"
    }
  }
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "details": "string",
  "code": "string",
  "fieldErrors": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}